Subject: bug#416: elpa-debian-el: Reports go to the Debian BTS

From: Olaf Meeuwissen <[email-masked]>
Date: Sun, 29 Mar 2020 13:19:28 +0900

Hi Mark,

Mark Hindley writes:

> Olaf,
>
> Thanks for this.
>
> We have a problem with bug reporting tools as they are generally designed to
> work with a single BTS. reportbug itself does work with multiple BTS and I am working
> at a system which automatically sends bugs to the correct BTS depending on the
> source of the package.

Is that server-side or client-side?  I hope the latter as I believe that
reportbug can be made to look at the package's version to decide which
of the Devuan and Debian BTSs should be targetted.

> On Sun, Mar 22, 2020 at 08:24:27PM +0900, Olaf Meeuwissen wrote:
>> Package: elpa-debian-el
>> Version: 37.8
>> Severity: wishlist
>>
>> Dear Maintainer,
>>
>> I prefer submitting bug reports via this Emacs add-on.  Unlike the
>> reportbug command-line utility, the Emacs add-on is not patched to
>> point to the Devuan BTS :-(
>
> However, as far as elpa-debian-el goes, does setting the variables
> debian-bug-mail-address, debian-bug-mail-quiet-address and
> debian-bug-mail-maintonly-address to their @bugs.devuan.org equivalents work?

I've tested this in #420 but, as noted there too, there are a lot of
other references to debian.org that may need to be updated as well for
full integration.  While desirable, I don't think that's a priority
though.

Looking through debian-bugs.el, I noticed that debian-bug-prefill-report
throws out the mail headers generated by reportbug :-o
The mail headers generated by reportbug already use the Devuan addresses
so it may be better to defer to those if available.  That's not really a
Devuan-specific issue though.

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join